/////////////////////////////////////////////////////////////////////////////////
// Get function names from IDA to OllyDbg and generate OllyScript plugin script
// v 1.01

// black_ninja 2005-2010 
// email: black_ninja2000@mail.ru 
// web:   http://blackninja2000.narod.ru
/////////////////////////////////////////////////////////////////////////////////

#include <idc.idc>

static main()
{
    auto f, adr, rez, func;
    Message("Please wait...\n");
    f = fopen("C:\\ida2olly.osc","w");
    adr = MinEA();
	while(1)
	{
		adr = NextFunction(adr);
		if(adr==-1) break;
		func = GetFunctionName(adr);    
    
		rez = strstr(func, "sub_") & strstr(func, "nullsub_");
		if(rez != 0){
			writestr(f, form("LBL %08X , \x22%s\x22\n", adr, func));
		}
	}
    Message("OK\n");
    fclose(f);
}
